astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- PrecessedGeocentric

# PrecessedGeocentric

class `astropy.coordinates.``PrecessedGeocentric`(*args, **kwargs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  A coordinate frame defined in a similar manner as GCRS, but precessed to a requested (mean) equinox. Note that this does not end up the same as regular GCRS even for J2000 equinox, because the GCRS orientation is fixed to that of ICRS, which is not quite the same as the dynamical J2000 orientation.

  This frame has these frame attributes:

  - `equinox`

      The (mean) equinox to precess the coordinates to.

  - `obstime`

      The time at which the observation is taken. Used for determining the position of the Earth.

  - `obsgeoloc`

      3-vector giving the position of the observer relative to the center-of-mass of the Earth, oriented the same as BCRS/ICRS. Defaults to 0, meaning “true” GCRS.

  - `obsgeovel`

      3-vector giving the velocity of the observer relative to the center-of-mass of the Earth, oriented the same as BCRS/ICRS. Defaults to 0, meaning “true” GCRS.

  Parameters:

  representation : `BaseRepresentation` or None

  > A representation object or None to have no data (or use the other keywords)

  ra : `Angle`, optional, must be keyword

  > The RA for this object (`dec` must also be given and `representation` must be None).

  dec : `Angle`, optional, must be keyword

  > The Declination for this object (`ra` must also be given and `representation` must be None).

  distance : `Quantity`, optional, must be keyword

  > The Distance for this object along the line-of-sight. (`representation` must be None).

  Attributes Summary

  `default_representation` |
  `equinox` |
  `frame_attributes` |
  `frame_specific_representation_info` |
  `name` |
  `obsgeoloc` |
  `obsgeovel` |
  `obstime` |

  Attributes Documentation

  `default_representation`
  `equinox` = <Time object: scale='utc' format='jyear_str' value=J2000.000>
  `frame_attributes` = OrderedDict([('equinox', <astropy.coordinates.baseframe.TimeFrameAttribute object at 0x7f523a458290>), ('obstime', <astropy.coordinates.baseframe.TimeFrameAttribute object at 0x7f523a4582d0>), ('obsgeoloc', <astropy.coordinates.baseframe.QuantityFrameAttribute object at 0x7f523a458310>), ('obsgeovel', <astropy.coordinates.baseframe.QuantityFrameAttribute object at 0x7f523a458390>)])
  `frame_specific_representation_info`
  `name` = 'precessedgeocentric'
  `obsgeoloc` = <Quantity [ 0., 0., 0.] m>
  `obsgeovel` = <Quantity [ 0., 0., 0.] m / s>
  `obstime` = <Time object: scale='utc' format='jyear_str' value=J2000.000>